# TdApi.InputInlineQueryResultGame (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputInlineQueryResultGame

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultGame

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultGame

Enclosing class:
  TdApi

public static final class TdApi.InputInlineQueryResultGame extends TdApi.InputInlineQueryResult
Represents a game.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`gameShortName`
Short name of the game.
`String`
`id`
Unique identifier of the query result.
`TdApi.ReplyMarkup`
`replyMarkup`
The message reply markup; pass null if none.

## Constructor Summary

Constructors
Constructor
Description
`InputInlineQueryResultGame()`
Represents a game.
`InputInlineQueryResultGame(DataInput input)`
Represents a game.
`InputInlineQueryResultGame(String id, String gameShortName, TdApi.ReplyMarkup replyMarkup)`
Represents a game.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### gameShortName

public String gameShortName
Short name of the game.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputInlineQueryResultGame

public InputInlineQueryResultGame()
Represents a game.

### InputInlineQueryResultGame

public InputInlineQueryResultGame(String id, String gameShortName, TdApi.ReplyMarkup replyMarkup)
Represents a game.

Parameters:
  `id` - String Unique identifier of the query result.
  `gameShortName` - String Short name of the game.
  `replyMarkup` - ReplyMarkup The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### InputInlineQueryResultGame

public InputInlineQueryResultGame(DataInput input) throws IOException
Represents a game.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`